Bug 246556 - Internal compiler error in find_reloads_toplev, at reload.c:4467
Internal compiler error in find_reloads_toplev, at reload.c:4467
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
3.8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-02 22:10 EDT by Jari Kosonen
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 03:49:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strace output for the "gmake" of "qt-x11-opensource-src-4.3.0" (56.15 KB, text/plain)
2007-07-02 22:55 EDT, Jari Kosonen
no flags Details

  None (edit)
Description Jari Kosonen 2007-07-02 22:10:21 EDT
Description of problem:
qt-x11-opensource-src-4.3.0]# gmake
does not work properly

Version-Release number of selected component (if applicable):
qt-x11-opensource-src-4.3.0
gcc version 3.2.3 20030502 (Red Hat Linux 3.2.3-59)

How reproducible:
typing "gmake" in the qt-x11-opensource-src-4.3.0 -directory.

Steps to Reproduce:
1. ./configure (at qt-x11-opensource-src-4.3.0)
2. gmake (at qt-x11-opensource-src-4.3.0)
3.
  
Actual results:
The program "Qt" does not compile

Expected results:
Qt should be compiled with gmake and be installable after compilation.

Additional info:
g++ -c -mmmx -m64 -pipe -g -O2 -Wall -W -D_REENTRANT -fPIC -DQT_SHARED
-DQT_BUILD_GUI_LIB -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT3_SUPPORT
-DQT_MOC_COMPAT -DQT_RASTER_IMAGEENGINE -DQT_HAVE_MMX -DQT_HAVE_3DNOW
-DQT_HAVE_SSE -DQT_HAVE_SSE2 -DQT_NO_STYLE_MAC -DQT_NO_STYLE_WINDOWSVISTA
-DQT_NO_STYLE_WINDOWSXP -DQ_INTERNAL_QAPP_SRC -DQT_NO_DEBUG -DQT_CORE_LIB
-D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -I../../mkspecs/linux-g++-64 -I.
-I../../include/QtCore -I../../include/QtCore -I../../include
-I../../include/QtGui -I../3rdparty/libpng -I../3rdparty/zlib
-I/usr/include/freetype2 -I../3rdparty/harfbuzz/src -Idialogs
-I.moc/release-shared -I/usr/X11R6/include -I.uic/release-shared
painting/qdrawhelper_mmx.cpp -o .obj/release-shared/qdrawhelper_mmx.o
../../src/gui/painting/qdrawhelper_mmx_p.h: In function `void
   comp_func_solid_SourceOver(uint*, int, unsigned int, unsigned int) [with MM
   = QMMXIntrinsics]':
painting/qdrawhelper_mmx.cpp:53:   instantiated from here
../../src/gui/painting/qdrawhelper_mmx_p.h:218: Internal compiler error in
   find_reloads_toplev, at reload.c:4467
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
gmake[1]: *** [.obj/release-shared/qdrawhelper_mmx.o] Error 1
Comment 1 Jari Kosonen 2007-07-02 22:49:31 EDT
Valgrind output for the "gmake" of qt-x11-opensource-src-4.3.0:
[jari@vatcad1 qt-x11-opensource-src-4.3.0]# valgrind --leak-check=full
--show-reachable=yes gmake
==23250== Memcheck, a memory error detector.
==23250== Copyright (C) 2002-2007, and GNU GPL'd, by Julian Seward et al.
==23250== Using LibVEX rev 1732, a library for dynamic binary translation.
==23250== Copyright (C) 2004-2007, and GNU GPL'd, by OpenWorks LLP.
==23250== Using valgrind-3.2.3, a dynamic binary instrumentation framework.
==23250== Copyright (C) 2000-2007, and GNU GPL'd, by Julian Seward et al.
==23250== For more details, rerun with: -v
==23250==
cd src/tools/moc/ && gmake -f Makefile
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/moc'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/moc'
cd src/tools/rcc/ && gmake -f Makefile
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/rcc'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/rcc'
cd src/tools/uic/ && gmake -f Makefile
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/uic'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/uic'
cd src/corelib/ && gmake -f Makefile
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/corelib'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/corelib'
cd src/xml/ && gmake -f Makefile
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/xml'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/xml'
cd src/gui/ && gmake -f Makefile
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/gui'
g++ -c -mmmx -m64 -pipe -g -O2 -Wall -W -D_REENTRANT -fPIC -DQT_SHARED
-DQT_BUILD_GUI_LIB -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT3_SUPPORT
-DQT_MOC_COMPAT -DQT_RASTER_IMAGEENGINE -DQT_HAVE_MMX -DQT_HAVE_3DNOW
-DQT_HAVE_SSE -DQT_HAVE_SSE2 -DQT_NO_STYLE_MAC -DQT_NO_STYLE_WINDOWSVISTA
-DQT_NO_STYLE_WINDOWSXP -DQ_INTERNAL_QAPP_SRC -DQT_NO_DEBUG -DQT_CORE_LIB
-D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -I../../mkspecs/linux-g++-64 -I.
-I../../include/QtCore -I../../include/QtCore -I../../include
-I../../include/QtGui -I../3rdparty/libpng -I../3rdparty/zlib
-I/usr/include/freetype2 -I../3rdparty/harfbuzz/src -Idialogs
-I.moc/release-shared -I/usr/X11R6/include -I.uic/release-shared
painting/qdrawhelper_mmx.cpp -o .obj/release-shared/qdrawhelper_mmx.o
../../src/gui/painting/qdrawhelper_mmx_p.h: In function `void
   comp_func_solid_SourceOver(uint*, int, unsigned int, unsigned int) [with MM
   = QMMXIntrinsics]':
painting/qdrawhelper_mmx.cpp:53:   instantiated from here
../../src/gui/painting/qdrawhelper_mmx_p.h:218: Internal compiler error in
   find_reloads_toplev, at reload.c:4467
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
gmake[1]: *** [.obj/release-shared/qdrawhelper_mmx.o] Error 1
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/gui'
gmake: *** [sub-gui-make_default-ordered] Error 2
==23250==
==23250== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 2 from 1)
==23250== malloc/free: in use at exit: 1,155,570 bytes in 11,004 blocks.
==23250== malloc/free: 20,601 allocs, 9,597 frees, 2,710,605 bytes allocated.
==23250== For counts of detected errors, rerun with: -v
==23250== searching for pointers to 11,004 not-freed blocks.
==23250== checked 1,193,080 bytes.
==23250==
==23250== 8 bytes in 1 blocks are still reachable in loss record 1 of 4
==23250==    at 0x4A18D05: malloc (vg_replace_malloc.c:149)
==23250==    by 0x40E910: (within /usr/bin/make)
==23250==    by 0x40C29F: (within /usr/bin/make)
==23250==    by 0x4B3A1D6: (below main) (in /lib64/tls/libc-2.3.2.so)
==23250==
==23250==
==23250== 2,471 bytes in 7 blocks are still reachable in loss record 2 of 4
==23250==    at 0x4A1A356: realloc (vg_replace_malloc.c:306)
==23250==    by 0x40E8FF: (within /usr/bin/make)
==23250==    by 0x404985: (within /usr/bin/make)
==23250==    by 0x40F9CB: (within /usr/bin/make)
==23250==    by 0x40EE31: (within /usr/bin/make)
==23250==    by 0x40BED5: (within /usr/bin/make)
==23250==    by 0x4B3A1D6: (below main) (in /lib64/tls/libc-2.3.2.so)
==23250==
==23250==
==23250== 38,021 bytes in 2,117 blocks are still reachable in loss record 3 of 4
==23250==    at 0x4A18D05: malloc (vg_replace_malloc.c:149)
==23250==    by 0x4B9B021: strdup (in /lib64/tls/libc-2.3.2.so)
==23250==    by 0x40E938: (within /usr/bin/make)
==23250==    by 0x40CB67: (within /usr/bin/make)
==23250==    by 0x4B3A1D6: (below main) (in /lib64/tls/libc-2.3.2.so)
==23250==
==23250==
==23250== 1,115,070 bytes in 8,879 blocks are still reachable in loss record 4 of 4
==23250==    at 0x4A18D05: malloc (vg_replace_malloc.c:149)
==23250==    by 0x40E8BA: (within /usr/bin/make)
==23250==    by 0x4161EE: (within /usr/bin/make)
==23250==    by 0x40BA5D: (within /usr/bin/make)
==23250==    by 0x4B3A1D6: (below main) (in /lib64/tls/libc-2.3.2.so)
==23250==
==23250== LEAK SUMMARY:
==23250==    definitely lost: 0 bytes in 0 blocks.
==23250==      possibly lost: 0 bytes in 0 blocks.
==23250==    still reachable: 1,155,570 bytes in 11,004 blocks.
==23250==         suppressed: 0 bytes in 0 blocks.
Comment 2 Jari Kosonen 2007-07-02 22:51:09 EDT
valgrind output with -v -option:

[jari@vatcad1 qt-x11-opensource-src-4.3.0]# valgrind --leak-check=full
--show-reachable=yes -v gmake
==23292== Memcheck, a memory error detector.
==23292== Copyright (C) 2002-2007, and GNU GPL'd, by Julian Seward et al.
==23292== Using LibVEX rev 1732, a library for dynamic binary translation.
==23292== Copyright (C) 2004-2007, and GNU GPL'd, by OpenWorks LLP.
==23292== Using valgrind-3.2.3, a dynamic binary instrumentation framework.
==23292== Copyright (C) 2000-2007, and GNU GPL'd, by Julian Seward et al.
==23292==
--23292-- Command line
--23292--    gmake
--23292-- Startup, with flags:
--23292--    --leak-check=full
--23292--    --show-reachable=yes
--23292--    -v
--23292-- Contents of /proc/version:
--23292--   Linux version 2.4.21-47.EL (bhcompile@hs20-bc1-3.build.redhat.com)
(gcc version 3.2.3 20030502 (Red Hat Linux 3.2.3-54)) #1 SMP Wed Jul 5 20:30:36
EDT 2006
--23292-- Arch and hwcaps: AMD64, amd64-sse2
--23292-- Page sizes: currently 4096, max supported 4096
--23292-- Valgrind library directory: /usr/local/lib/valgrind
--23292-- Reading syms from /usr/bin/make (0x400000)
--23292--    object doesn't have a symbol table
==23292== Warning: zero-sized CIE/FDE but not at section end in DWARF2 CFI reading
--23292-- Reading syms from /lib64/ld-2.3.2.so (0x4000000)
--23292-- Reading syms from /usr/local/lib/valgrind/amd64-linux/memcheck
(0x38000000)
--23292--    object doesn't have a dynamic symbol table
--23292-- Reading suppressions file: /usr/local/lib/valgrind/default.supp
--23292-- Reading syms from
/usr/local/lib/valgrind/amd64-linux/vgpreload_core.so (0x4916000)
--23292-- Reading syms from
/usr/local/lib/valgrind/amd64-linux/vgpreload_memcheck.so (0x4A17000)
--23292-- REDIR: 0x40101A0 (index) redirected to 0x4A1A9F0 (index)
--23292-- REDIR: 0x4010350 (strcmp) redirected to 0x4A1AB80 (strcmp)
--23292-- REDIR: 0x4010380 (strlen) redirected to 0x4A1AA90 (strlen)
--23292-- Reading syms from /lib64/tls/libc-2.3.2.so (0x4B1D000)
--23292-- REDIR: 0x4B9B620 (rindex) redirected to 0x4A1A8A0 (rindex)
--23292-- REDIR: 0x4B99F70 (strcmp) redirected to 0x4A1AB30 (strcmp)
--23292-- REDIR: 0x4B9B280 (strlen) redirected to 0x4A1AA50 (strlen)
--23292-- REDIR: 0x4B9B4E0 (strncmp) redirected to 0x4A1AAB0 (strncmp)
--23292-- REDIR: 0x4B99DC0 (index) redirected to 0x4A1A990 (index)
--23292-- REDIR: 0x4B93710 (free) redirected to 0x4A198FE (free)
--23292-- REDIR: 0x4B93540 (malloc) redirected to 0x4A18C83 (malloc)
--23292-- REDIR: 0x4B9D6E0 (memcpy) redirected to 0x4A1B2F0 (memcpy)
--23292-- REDIR: 0x4B9CEA0 (memset) redirected to 0x4A1AD50 (memset)
--23292-- REDIR: 0x4B9CD40 (memmove) redirected to 0x4A1AD80 (memmove)
--23292-- REDIR: 0x4B9CFA0 (mempcpy) redirected to 0x4A1B770 (mempcpy)
--23292-- REDIR: 0x4B937B0 (realloc) redirected to 0x4A1A27F (realloc)
--23292-- REDIR: 0x4B9C700 (memchr) redirected to 0x4A1AC20 (memchr)
--23292-- REDIR: 0x4B9AB80 (strcpy) redirected to 0x4A1B960 (strcpy)
--23292-- REDIR: 0xFFFFFFFFFF600000 (???) redirected to 0x3802A47B (???)
--23292-- REDIR: 0x4B9D2C0 (stpcpy) redirected to 0x4A1BA30 (stpcpy)
cd src/tools/moc/ && gmake -f Makefile
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/moc'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/moc'
cd src/tools/rcc/ && gmake -f Makefile
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/rcc'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/rcc'
cd src/tools/uic/ && gmake -f Makefile
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/uic'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/uic'
cd src/corelib/ && gmake -f Makefile
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/corelib'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/corelib'
cd src/xml/ && gmake -f Makefile
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/xml'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/xml'
cd src/gui/ && gmake -f Makefile
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/gui'
g++ -c -mmmx -m64 -pipe -g -O2 -Wall -W -D_REENTRANT -fPIC -DQT_SHARED
-DQT_BUILD_GUI_LIB -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT3_SUPPORT
-DQT_MOC_COMPAT -DQT_RASTER_IMAGEENGINE -DQT_HAVE_MMX -DQT_HAVE_3DNOW
-DQT_HAVE_SSE -DQT_HAVE_SSE2 -DQT_NO_STYLE_MAC -DQT_NO_STYLE_WINDOWSVISTA
-DQT_NO_STYLE_WINDOWSXP -DQ_INTERNAL_QAPP_SRC -DQT_NO_DEBUG -DQT_CORE_LIB
-D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -I../../mkspecs/linux-g++-64 -I.
-I../../include/QtCore -I../../include/QtCore -I../../include
-I../../include/QtGui -I../3rdparty/libpng -I../3rdparty/zlib
-I/usr/include/freetype2 -I../3rdparty/harfbuzz/src -Idialogs
-I.moc/release-shared -I/usr/X11R6/include -I.uic/release-shared
painting/qdrawhelper_mmx.cpp -o .obj/release-shared/qdrawhelper_mmx.o
../../src/gui/painting/qdrawhelper_mmx_p.h: In function `void
   comp_func_solid_SourceOver(uint*, int, unsigned int, unsigned int) [with MM
   = QMMXIntrinsics]':
painting/qdrawhelper_mmx.cpp:53:   instantiated from here
../../src/gui/painting/qdrawhelper_mmx_p.h:218: Internal compiler error in
   find_reloads_toplev, at reload.c:4467
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
gmake[1]: *** [.obj/release-shared/qdrawhelper_mmx.o] Error 1
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/gui'
gmake: *** [sub-gui-make_default-ordered] Error 2
==23292==
==23292== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 2 from 1)
--23292--
--23292-- supp:    2 dl_relocate_object
==23292== malloc/free: in use at exit: 1,155,570 bytes in 11,004 blocks.
==23292== malloc/free: 20,601 allocs, 9,597 frees, 2,710,605 bytes allocated.
==23292==
==23292== searching for pointers to 11,004 not-freed blocks.
==23292== checked 1,193,080 bytes.
==23292==
==23292== 8 bytes in 1 blocks are still reachable in loss record 1 of 4
==23292==    at 0x4A18D05: malloc (vg_replace_malloc.c:149)
==23292==    by 0x40E910: (within /usr/bin/make)
==23292==    by 0x40C29F: (within /usr/bin/make)
==23292==    by 0x4B3A1D6: (below main) (in /lib64/tls/libc-2.3.2.so)
==23292==
==23292==
==23292== 2,471 bytes in 7 blocks are still reachable in loss record 2 of 4
==23292==    at 0x4A1A356: realloc (vg_replace_malloc.c:306)
==23292==    by 0x40E8FF: (within /usr/bin/make)
==23292==    by 0x404985: (within /usr/bin/make)
==23292==    by 0x40F9CB: (within /usr/bin/make)
==23292==    by 0x40EE31: (within /usr/bin/make)
==23292==    by 0x40BED5: (within /usr/bin/make)
==23292==    by 0x4B3A1D6: (below main) (in /lib64/tls/libc-2.3.2.so)
==23292==
==23292==
==23292== 38,021 bytes in 2,117 blocks are still reachable in loss record 3 of 4
==23292==    at 0x4A18D05: malloc (vg_replace_malloc.c:149)
==23292==    by 0x4B9B021: strdup (in /lib64/tls/libc-2.3.2.so)
==23292==    by 0x40E938: (within /usr/bin/make)
==23292==    by 0x40CB67: (within /usr/bin/make)
==23292==    by 0x4B3A1D6: (below main) (in /lib64/tls/libc-2.3.2.so)
==23292==
==23292==
==23292== 1,115,070 bytes in 8,879 blocks are still reachable in loss record 4 of 4
==23292==    at 0x4A18D05: malloc (vg_replace_malloc.c:149)
==23292==    by 0x40E8BA: (within /usr/bin/make)
==23292==    by 0x4161EE: (within /usr/bin/make)
==23292==    by 0x40BA5D: (within /usr/bin/make)
==23292==    by 0x4B3A1D6: (below main) (in /lib64/tls/libc-2.3.2.so)
==23292==
==23292== LEAK SUMMARY:
==23292==    definitely lost: 0 bytes in 0 blocks.
==23292==      possibly lost: 0 bytes in 0 blocks.
==23292==    still reachable: 1,155,570 bytes in 11,004 blocks.
==23292==         suppressed: 0 bytes in 0 blocks.
--23292--  memcheck: sanity checks: 166 cheap, 7 expensive
--23292--  memcheck: auxmaps: 0 auxmap entries (0k, 0M) in use
--23292--  memcheck: auxmaps: 0 searches, 0 comparisons
--23292--  memcheck: SMs: n_issued      = 70 (1120k, 1M)
--23292--  memcheck: SMs: n_deissued    = 11 (176k, 0M)
--23292--  memcheck: SMs: max_noaccess  = 524287 (8388592k, 8191M)
--23292--  memcheck: SMs: max_undefined = 5 (80k, 0M)
--23292--  memcheck: SMs: max_defined   = 70 (1120k, 1M)
--23292--  memcheck: SMs: max_non_DSM   = 59 (944k, 0M)
--23292--  memcheck: max sec V bit nodes:    271 (23k, 0M)
--23292--  memcheck: set_sec_vbits8 calls: 678 (new: 271, updates: 407)
--23292--  memcheck: max shadow mem size:   5111k, 4M
--23292-- translate:            fast SP updates identified: 3,872 ( 87.9%)
--23292-- translate:   generic_known SP updates identified: 370 (  8.4%)
--23292-- translate: generic_unknown SP updates identified: 159 (  3.6%)
--23292--     tt/tc: 9,626 tt lookups requiring 9,893 probes
--23292--     tt/tc: 9,626 fast-cache updates, 5 flushes
--23292--  transtab: new        4,236 (92,070 -> 1,738,893; ratio 188:10) [0 scs]
--23292--  transtab: dumped     0 (0 -> ??)
--23292--  transtab: discarded  11 (213 -> ??)
--23292-- scheduler: 16,631,752 jumps (bb entries).
--23292-- scheduler: 166/36,643 major/minor sched events.
--23292--    sanity: 167 cheap, 7 expensive checks.
--23292--    exectx: 30,011 lists, 339 contexts (avg 0 per list)
--23292--    exectx: 30,194 searches, 29,856 full compares (988 per 1000)
--23292--    exectx: 28,766 cmp2, 1 cmp4, 0 cmpAll
Comment 3 Jari Kosonen 2007-07-02 22:53:04 EDT
gdb output for "gmake" of "qt-x11-opensource-src-4.3.0":

[jari@vatcad1 qt-x11-opensource-src-4.3.0]# gdb gmake
GNU gdb Red Hat Linux (6.3.0.0-1.138.el3rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...(no debugging symbols found)
Using host libthread_db library "/lib64/tls/libthread_db.so.1".
 
(gdb) run
Starting program: /usr/bin/gmake
(no debugging symbols found)
(no debugging symbols found)
cd src/tools/moc/ && /usr/bin/gmake -f Makefile
Detaching after fork from child process 23320.
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/moc'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/moc'
cd src/tools/rcc/ && /usr/bin/gmake -f Makefile
Detaching after fork from child process 23322.
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/rcc'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/rcc'
cd src/tools/uic/ && /usr/bin/gmake -f Makefile
Detaching after fork from child process 23324.
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/uic'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/tools/uic'
cd src/corelib/ && /usr/bin/gmake -f Makefile
Detaching after fork from child process 23326.
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/corelib'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/corelib'
cd src/xml/ && /usr/bin/gmake -f Makefile
Detaching after fork from child process 23328.
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/xml'
gmake[1]: Nothing to be done for `first'.
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/xml'
cd src/gui/ && /usr/bin/gmake -f Makefile
Detaching after fork from child process 23330.
gmake[1]: Entering directory `/opt/qt-x11-opensource-src-4.3.0/src/gui'
g++ -c -mmmx -m64 -pipe -g -O2 -Wall -W -D_REENTRANT -fPIC -DQT_SHARED
-DQT_BUILD_GUI_LIB -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT3_SUPPORT
-DQT_MOC_COMPAT -DQT_RASTER_IMAGEENGINE -DQT_HAVE_MMX -DQT_HAVE_3DNOW
-DQT_HAVE_SSE -DQT_HAVE_SSE2 -DQT_NO_STYLE_MAC -DQT_NO_STYLE_WINDOWSVISTA
-DQT_NO_STYLE_WINDOWSXP -DQ_INTERNAL_QAPP_SRC -DQT_NO_DEBUG -DQT_CORE_LIB
-D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -I../../mkspecs/linux-g++-64 -I.
-I../../include/QtCore -I../../include/QtCore -I../../include
-I../../include/QtGui -I../3rdparty/libpng -I../3rdparty/zlib
-I/usr/include/freetype2 -I../3rdparty/harfbuzz/src -Idialogs
-I.moc/release-shared -I/usr/X11R6/include -I.uic/release-shared
painting/qdrawhelper_mmx.cpp -o .obj/release-shared/qdrawhelper_mmx.o
../../src/gui/painting/qdrawhelper_mmx_p.h: In function `void
   comp_func_solid_SourceOver(uint*, int, unsigned int, unsigned int) [with MM
   = QMMXIntrinsics]':
painting/qdrawhelper_mmx.cpp:53:   instantiated from here
../../src/gui/painting/qdrawhelper_mmx_p.h:218: Internal compiler error in
   find_reloads_toplev, at reload.c:4467
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
gmake[1]: *** [.obj/release-shared/qdrawhelper_mmx.o] Error 1
gmake[1]: Leaving directory `/opt/qt-x11-opensource-src-4.3.0/src/gui'
gmake: *** [sub-gui-make_default-ordered] Error 2
 
Program exited with code 02.
(gdb) thread apply all bt
Comment 4 Jari Kosonen 2007-07-02 22:55:47 EDT
Created attachment 158400 [details]
Strace output for the "gmake" of "qt-x11-opensource-src-4.3.0"
Comment 5 Jakub Jelinek 2007-07-03 03:49:35 EDT
The qdrawhelper_mmx_p.h header heavily uses mmintrin.h builtins, which were very
young in gcc 3.2.x (introduced for that release and therefore it doesn't surprise
me if you find bugs in that).
Unfortunately RHEL3 is only in maintainance support mode now, see
https://www.redhat.com/security/updates/
and this bug is neither security issue nor selected mission critical bug.
I'd suggest you just configure qt4 without mmx (I believe passing --disable-mmx
to configure will do it) if you want to compile it on RHEL3, or build/use it
on RHEL4 or later.

Note You need to log in before you can comment on or make changes to this bug.